<?php
/**
 * Return Page
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: returns_defines.php 2.3.0 1/12/2009 Clyde Jones $
 */
require(DIR_WS_MODULES . zen_get_module_directory('require_languages.php'));

  //require('includes/application_top.php');
if (REGISTERED_RETURN == 'true'){
  if (!$_SESSION['customer_id']) {
    $_SESSION['navigation']->set_snapshot();
    zen_redirect(zen_href_link(FILENAME_LOGIN, '', 'SSL'));
  }
}


  $error = false;
  if (isset($_GET['action']) && ($_GET['action'] == 'send')) {
    $name = zen_db_prepare_input($_POST['contactname']);
    $email_address = zen_db_prepare_input($_POST['email']);
	$telephone = zen_db_prepare_input($_POST['telephone']);
    $street_address = zen_db_prepare_input($_POST['street_address']);
    $city = zen_db_prepare_input($_POST['city']);
    $state = zen_db_prepare_input($_POST['state']);
	$country = zen_db_prepare_input($_POST['country']);
    $postcode = zen_db_prepare_input($_POST['postcode']);
    $order_number = zen_db_prepare_input($_POST['order_number']);
    $value = zen_db_prepare_input($_POST['total_value']);
    $item_number = zen_db_prepare_input($_POST['item_number']);
    $item_name = zen_db_prepare_input($_POST['item_name']);
    $action = zen_db_prepare_input($_POST['action']);
    $reason = zen_db_prepare_input(strip_tags($_POST['reason']));

  $zc_validate_email = zen_validate_email($email_address);
	
  if ($zc_validate_email and !empty($reason) and !empty($name) and !empty($street_address) and !empty($city) and !empty($state) and !empty($country) and !empty($postcode) and !empty($order_number)) {

		$send_to_email = EMAIL_FROM;
		$send_to_name =  STORE_NAME;
				
    // Prepare extra-info details
    $extra_info = email_collect_extra_info($name, $email_address, $customer_name, $customer_email, $telephone);
    // Prepare Text-only portion of message
	$text_message = OFFICE_FROM . "\t" . $name . "<br />" . 
		    OFFICE_EMAIL . "\t" . $email_address . "<br />" .
			"Phone Number:" . "\t" .$telephone . "<br />" .
		    "Address:" . "\t" . $street_address . "<br />" .
		    "City:" . "\t" . $city . "<br />" .
		    "Post Code:" . "\t" . $postcode . "<br />" .
			"Country:" . "\t" . $country . "<br />" .
			"State:" . "\t" . $state . "<br />" .
		    "Order Number:" . "\t" . $order_number . "<br />" .
		    "Total Value:" . "\t" . $value . "<br />" .
		    "Item Number:" . "\t" . $item_number . "<br />"	.
		    "Item Name:" . "\t" . $item_name . "<br />"	.
		    "Action Requested:" . "\t" . $action . "<br />"	.
			'------------------------------------------------------' . "<br />" .
            "Reason:" . "\t" . $reason .  "<br />" .
             '------------------------------------------------------' . "<br />" .
            $extra_info['TEXT'];
      $email_text = sprintf(EMAIL_GREET_NONE, $name);
      $email_text .=  EMAIL_WELCOME;
      $email_text .= "\n\n" . EMAIL_TEXT . EMAIL_CONTACT . EMAIL_WARNING;

	  // Prepare HTML-portion of message
      $html_msg['EMAIL_GREETING'] = str_replace('\n','',$email_text);
	  $html_msg['EMAIL_WELCOME'] = str_replace('\n','',EMAIL_WELCOME);
      $html_msg['EMAIL_MESSAGE_HTML'] = $email_text;
      $html_msg['CONTACT_US_OFFICE_FROM'] = OFFICE_FROM . ' ' . $name . '<br />' . OFFICE_EMAIL . '(' . $email_address . ')';
      $html_msg['EXTRA_INFO'] = $extra_info['HTML'];

	  // Send message
	  zen_mail($name, $email_address, EMAIL_SUBJECT, $email_text, $send_to_name, $send_to_email, $html_msg, 'returns');
    $html_msg['EMAIL_MESSAGE_HTML'] = $text_message;
      $html_msg['EMAIL_GREETING'] = '';
	  $html_msg['EMAIL_WELCOME'] = '';
      $html_msg['CONTACT_US_OFFICE_FROM'] = OFFICE_FROM . ' ' . $name . '<br />' . OFFICE_EMAIL . '(' . $email_address . ')';
    $html_msg['EXTRA_INFO'] = '';
	  
     zen_mail($send_to_name, $send_to_email, EMAIL_SUBJECT, $text_message, $name, $email_address, $html_msg, 'contact_us');

      zen_redirect(zen_href_link(FILENAME_RETURNS, 'action=success'));

  } else {
    $error = true;
    if (empty($name)) {
	  $entry_name_error = true;	
//      $messageStack->add('returns', ENTRY_NAME_ERROR);
    }
    if ($zc_validate_email == false) {
	  $entry_email_error = true;	
//      $messageStack->add('returns', ENTRY_EMAIL_ERROR);
    }
    if (empty($street_address)) {
	  $entry_street_address_error = true;	
//      $messageStack->add('returns', ENTRY_ADDRESS_ERROR);
    }
    if (empty($city)) {
	  $entry_city_error = true;	
//      $messageStack->add('returns', ENTRY_CITY_TEXT_ERROR);
    }
    if (empty($state)) {
	  $entry_state_error = true;	
//      $messageStack->add('returns', ENTRY_STATE_TEXT_ERROR);
    }
    if (empty($country)) {
	  $entry_country_error = true;	
//      $messageStack->add('returns', ENTRY_COUNTRY_TEXT_ERROR);
	}  
    if (empty($postcode)) {
	  $entry_postcode_error = true;	
//      $messageStack->add('returns', ENTRY_POSTCODE_ERROR);
    }
    if (empty($order_number)) {
	  $entry_order_number_error = true;	
//      $messageStack->add('returns', ENTRY_ORDER_NUMBER_ERROR);
	}
    if (empty($reason)) {
	  $entry_reason_error = true;	
//      $messageStack->add('returns', ENTRY_ERROR_OCCURED);
    }
    if ($error == true) {
      $messageStack->add('returns', ENTRY_ERROR_OCCURED);
    }
	
  }
} // end action==send	  
	  
	  
// default email and name if customer is logged in
if($_SESSION['customer_id']) {
  $sql = "SELECT c.customers_id, c.customers_firstname, c.customers_lastname, c.customers_email_address, c.customers_default_address_id, c.customers_telephone, ab.customers_id, ab.entry_street_address, ab.entry_city, ab.entry_postcode, ab.entry_state, ab.entry_zone_id, ab.entry_country_id, z.zone_id, z.zone_code, cn.countries_id, cn.countries_name FROM " . TABLE_CUSTOMERS . " c, " . TABLE_ADDRESS_BOOK . " ab, "  . TABLE_ZONES  . " z, " . TABLE_COUNTRIES . " cn WHERE c.customers_id = :customersID AND ab.customers_id = c.customers_id AND ab.entry_country_id = cn.countries_id";
  
  $sql = $db->bindVars($sql, ':customersID', $_SESSION['customer_id'], 'integer');
  $check_customer = $db->Execute($sql);
  $name = $check_customer->fields['customers_firstname'] . ' ' . $check_customer->fields['customers_lastname'];
  $email = $check_customer->fields['customers_email_address'];
  $telephone = $check_customer->fields['customers_telephone'];
  $street_address = $check_customer->fields['entry_street_address'];
  $city = $check_customer->fields['entry_city'];

  if (isset($check_customer->fields['zone_id']) && zen_not_null($check_customer->fields['zone_id'])) {
        $state = zen_get_zone_code($check_customer->fields['entry_country_id'], $check_customer->fields['entry_zone_id'], $check_customer->fields['entry_state']);
      }

//  $state = $check_customer->fields['entry_state'];
  $country = $check_customer->fields['countries_name'];
  $postcode = $check_customer->fields['entry_postcode'];
}

// include template specific file name defines
$define_page = zen_get_file_directory(DIR_WS_LANGUAGES . $_SESSION['language'] . '/html_includes/', FILENAME_DEFINE_RETURNS, 'false');

$breadcrumb->add(NAVBAR_TITLE);
//EOF